Bug 507878 - yum.Errors.MiscError: Could not open local rpm file: gcc-4.1.2-44.el5.src.rpm
yum.Errors.MiscError: Could not open local rpm file: gcc-4.1.2-44.el5.src.rpm
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum-utils (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: James Antill
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 11:49 EDT by Michal Nowak
Modified: 2014-01-21 01:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 16:54:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2009-06-24 11:49:02 EDT
Description of problem:
.qa.[root@ia64-5s-m2 ~]# yum clean all
Loaded plugins: aliases, changelog, downloadonly, fastestmirror, filter-data,
              : keys, kmod, list-data, protect-packages, protectbase, rhnplugin,
              : security, tmprepo, verify, versionlock
Cleaning up Everything
Cleaning up list of fastest mirrors

.qa.[root@ia64-5s-m2 ~]# yum-builddep gcc-4.1.2-44.el5.src.rpm 
Loaded plugins: fastestmirror, kmod, protectbase, rhnplugin, versionlock
Determining fastest mirrors
[...]
Reading version lock configuration
0 packages excluded due to repository protections
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in ?
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 66, in main
    self.get_build_deps()
  File "/usr/bin/yum-builddep", line 109, in get_build_deps
    srpms.append(yum.packages.YumLocalPackage(self.ts, arg))
  File "/usr/lib/python2.4/site-packages/yum/packages.py", line 1460, in __init__
    raise Errors.MiscError, \
yum.Errors.MiscError: Could not open local rpm file: gcc-4.1.2-44.el5.src.rpm


The file gcc-4.1.2-44.el5.src.rpm is not existing in $(PWD), but issuing another random "filename" works as expected:

.qa.[root@ia64-5s-m2 ~]# yum-builddep dfkdfkjfd.rpm
Loaded plugins: fastestmirror, kmod, protectbase, rhnplugin, versionlock
Loading mirror speeds from cached hostfile
Reading version lock configuration
0 packages excluded due to repository protections
No such package(s): dfkdfkjfd.rpm.src


(Well, not exactly as expected: "dfkdfkjfd.rpm.src" v. "dfkdfkjfd.rpm")

Version-Release number of selected component (if applicable):

yum-utils-1.1.16-13.el5.noarch
yum-3.2.19-18.el5.noarch

How reproducible:

always@ia64-5s-m2.test.redhat.com

Expected results:

No bt + sane filename in "No such package(s):" field.
Comment 1 Michal Nowak 2011-05-13 04:58:21 EDT
(i386)

I still can see it:

# yum-builddep --nogpg bridge-utils-1.1-2.src.rpm 
Loaded plugins: product-id
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID 897da07a
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 142, in ?
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 41, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 66, in main
    self.get_build_deps()
  File "/usr/bin/yum-builddep", line 109, in get_build_deps
    srpms.append(yum.packages.YumLocalPackage(self.ts, arg))
  File "/usr/lib/python2.4/site-packages/yum/packages.py", line 1570, in __init__
    raise Errors.MiscError, \
yum.Errors.MiscError: Could not open local rpm file: bridge-utils-1.1-2.src.rpm

However, cpufreq-utils-005-3.el5.src.rpm is fine.

Can't use `yum-builddep bridge-utils' alone since I don't have SRPM repos here.
Comment 3 James Antill 2013-03-12 16:54:12 EDT
I believe this is fixed in RHEL-6.


This request was evaluated by Red Hat Engineering for inclusion in a Red 
Hat Enterprise Linux maintenance release.

Red Hat does not currently plan to provide this change in a Red Hat 
Enterprise Linux update release for currently deployed products.

With the goal of minimizing risk of change for deployed systems, and in 
response to customer and partner requirements, Red Hat takes a 
conservative approach when evaluating enhancements for inclusion in 
maintenance updates for currently deployed products. The primary 
objectives of update releases are to enable new hardware platform 
support and to resolve critical defects.

Note You need to log in before you can comment on or make changes to this bug.